io.vertx.config.vault

## Class VaultConfigStore

- java.lang.Object
- - io.vertx.config.vault.VaultConfigStore

- All Implemented Interfaces:
    ConfigStore

      public class VaultConfigStore
      extends Object
      implements ConfigStore

  An implementation of `ConfigStore` for Vault (https://www.vaultproject.io/).
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VaultConfigStore(Vertx vertx, JsonObject config)` Creates an instance of `VaultConfigStore`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<Void>` | `close()` Closes the configuration store.
    `Future<Buffer>` | `get()` Retrieves the configuration store in this store.
    `SlimVaultClient` | `getVaultClient()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.config.spi.ConfigStore

      `close, get`

- - ### Constructor Detail

    - #### VaultConfigStore

          public VaultConfigStore(Vertx vertx,
                                  JsonObject config)

      Creates an instance of `VaultConfigStore`.
      Parameters:
        `vertx` - the vert.x instance
        `config` - the configuration, used to create the `SlimVaultClient`.

  - ### Method Detail

    - #### close

          public Future<Void> close()

      Description copied from interface: `ConfigStore`
      Closes the configuration store.
      Specified by:
        `close` in interface `ConfigStore`

    - #### get

          public Future<Buffer> get()

      Description copied from interface: `ConfigStore`
      Retrieves the configuration store in this store.
      Specified by:
        `get` in interface `ConfigStore`

    - #### getVaultClient

          public SlimVaultClient getVaultClient()

      Returns:
        the underlying client - for testing purpose only.

Copyright © 2021 Eclipse. All rights reserved.